Bug 1404625 - [RFE] include splay in puppet configuration for clients
Summary: [RFE] include splay in puppet configuration for clients
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet
Version: 6.2.5
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 09:51 UTC by Kenny Tordeurs
Modified: 2018-09-04 19:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:07:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 20686 None None None 2017-08-22 08:08:27 UTC
Red Hat Bugzilla 1476379 None VERIFIED [RFE] Add randomness to SCAP client runs to avoid DDOS of the server 2019-04-07 13:44:13 UTC

Internal Links: 1476379

Description Kenny Tordeurs 2016-12-14 09:51:23 UTC
1. Proposed title of this feature request
Include the splay option to the puppet configuration.

2. Who is the customer behind the request?
None

3. What is the nature and description of the request?
If splay is not configured it can happen that hunderds/thousands of clients start checking in at the same time to satellite for puppet which causes satellite to become slow and unresponsive.

For example, without splay enabled, your agent checks in every 30 minutes at :01 and :31 past the hour. After enabling splay, the agent will wait the pseudorandom sleep time, say eight minutes, and then check in every 30 minutes, at :09 and :39 after the hour. If you restart the same agent at 12:45 PM, it will wait its eight minutes, and check in at 12:52 PM, and every 30 minutes after that, at 1:22 PM, 1:52 PM, and so on. Other agents will have different sleep times, and so will check in at different times even if they are all restarted at the same time.


4. Why does the customer need this? (List the business requirements
here) When splay is configured this will prevent clients from checking in at the same time and still respect the interval for the puppet runs. 

5. How would the customer like to achieve this? (List the functional
requirements here)
Add splay to config for puppet, https://docs.puppet.com/puppet/latest/configuration.html#splay

6. For each functional requirement listed in question 5, specify how Red
Hat and the customer can test to confirm the requirement is successfully
implemented.
Add "splay = true" to /etc/puppet/puppet.conf and verify the sleep time before the puppet agent does its first run. (needs debug option enabled)

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
No

8. Does the customer have any specific timeline dependencies?
No

9. Is the sales team involved in this request and do they have any
additional input?
No

10. List any affected packages or components.
# puppet --version
~~~
2.7.23
~~~

Comment 1 Ondřej Pražák 2017-08-22 08:08:24 UTC
Created redmine issue http://projects.theforeman.org/issues/20686 from this bug

Comment 2 Bryan Kearney 2018-09-04 18:57:00 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 3 Bryan Kearney 2018-09-04 19:07:44 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.